Skip to navigation

Update a registry credential

View as Markdown

Partially updates a registry credential — only the fields you send are changed. Send password to rotate it.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

registry_idstringRequiredformat: "uuid"

Headers

x-workspace-idstring or nullOptional

UUID of the workspace that scopes this request. List the workspaces you belong to with GET /workspaces.

Request

This endpoint expects an object.
namestring or nullOptional1-255 characters
serverstring or nullOptional1-512 characters
usernamestring or nullOptional1-255 characters
passwordstring or nullOptional1-512 characters
emailstring or nullOptionalformat: "email"
enabledboolean or nullOptional

Response

Successful Response
idstringformat: "uuid"
namestring
serverstring
usernamestring
emailstring or null
enabledboolean
created_atdatetime
updated_atdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error